%%
clear all
figure(1)
clf

load aS_24C_PEG_avg.mat

S1 = [S1,S1(1:115)];
S1 = S1(116:1616);
raw_peg = raw_peg/max(abs(raw_peg));
S1 = S1/max(abs(S1));
plot(B, raw_peg, 'k', 'LineWidth', 1.3)
hold on
plot(B, S1,'r', 'LineWidth', 1.3);
xlim([341 347])

S1 = S1';
res = S1 - raw_peg;
plot(B, res);

%%
clear all
figure(2)
clf

load aS_24C_PEG_pLK_avg.mat

S1 = [S1,S1(1:111)];
S1 = S1(112:1612);
raw_pLK = raw_pLK/max(abs(raw_pLK));
S1 = S1/max(abs(S1));
plot(B, raw_pLK, 'k', 'LineWidth', 1.3)
hold on
plot(B, S1,'r', 'LineWidth', 1.3);
xlim([341 347])

S1 = S1';
res = S1 - raw_pLK;
plot(B, res);


%%
clear all
figure(3)
clf

load aS_24C_PEG_DNTau_avg.mat

sim = [sim,sim(1:115)];
sim = sim(116:1616);
raw_DNTau = raw_DNTau/max(abs(raw_DNTau));
sim = sim/max(abs(sim));
plot(B, raw_DNTau, 'k', 'LineWidth', 1.3)
hold on
plot(B, sim,'r', 'LineWidth', 1.3);
xlim([341 347])

sim = sim';
res = sim - raw_DNTau;
plot(B, res);


%%
clear all
figure(4)
clf

load aS_24C_PEG_Tau441.mat

sim = [sim,sim(1:112)];
sim = sim(113:1613);
raw_Tau441 = raw_Tau441/max(abs(raw_Tau441));
sim = sim/max(abs(sim));
plot(B, raw_Tau441, 'k', 'LineWidth', 1.3)
hold on
plot(B, sim,'r', 'LineWidth', 1.3);
xlim([341 347])

sim = sim';
res = sim - raw_Tau441;
plot(B, res);

